Description

Hi,

the line and area measurement tools show

wrong units:

- starting with meters[qm] they switch to km[km2] once we digitize the line

- the value is multiplied by 100

This seems to appear both in 0.8 preview2 and HEAD

Tested with a Transverse Mercator map (Gauss-Boaga, Italy)

regards,

Markus

History

#1 - 2006-10-23 04:35 PM - Gavin Macaulay -

The units used for line lengths is metres if the line is less than 1000 m, and kilometres if greater. Similarily for area, where the cutover from m^2 to km^2 is

1000 m^2.

What do you mean when you say that the value is multiplied by 100? When the length units change from metres to kilometres, the value is divided by

1000, and for area the value in m^2 is divided by 1000000 when displayed as km^2

#2 - 2006-10-24 02:50 PM - neteler-itc-it -

OK, I tested again and the situation is worse :-)

I zoomed to a building in

http://grass.itc.it/grass61/screenshots/images/qgis08_grass6_toolbox.png

(approximate scale while measuring is 1:500)

My chosen building is several meters long (maybe 22m). I start

to draw the measurement tool line, it shows 0m, then 

immediately 300km (should be 3m), reaching 1000km (should be 10m)

it flips to 0km again and so forth.
I am reading a SHAPE file with TMERC based projection (similar to UTM).

HA, got it - the proj file is missing... it would be probably cool if

QGIS could say that the .prj file is missing (to wake up the user).

Markus

#3 - 2006-10-28 01:12 PM - Gavin Macaulay -

Good. I'll make this an enhancement against 0.9.

#4 - 2008-03-19 08:01 AM - leolami -

I think the bug is fixed in 0.9.2

Can we close it?

#5 - 2008-03-19 08:09 AM - Markus Neteler

- Status changed from Open to Closed

- Resolution set to fixed

... so I close it. Thanks.

#6 - 2009-08-22 12:54 AM - Anonymous

Milestone Version 0.9.2 deleted
